# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import pydantic
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2
import typing


class SimulatorInfoBase(UniversalBaseModel):
    """
    Simulator information schema without example data.
    """

    id: str = pydantic.Field()
    """
    The ID of the simulator.
    """

    name: str = pydantic.Field()
    """
    The name of the simulator.
    """

    description: str = pydantic.Field()
    """
    The description of the simulator.
    """

    released: dt.datetime = pydantic.Field()
    """
    The UTC release date of the simulator.
    """

    number_of_runs: int = pydantic.Field()
    """
    The number of times the simulator has been run.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
