# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class SimulatorResultInfo(UniversalBaseModel):
    """
    Extended simulator result schema with the plotly JSON.
    """

    output: typing.Dict[str, typing.Optional[typing.Any]] = pydantic.Field()
    """
    The output of the simulator.
    """

    id: str = pydantic.Field()
    """
    The UUID of the simulator result.
    """

    input: typing.Dict[str, typing.Optional[typing.Any]] = pydantic.Field()
    """
    The input of the simulator.
    """

    simulator: str = pydantic.Field()
    """
    The simulator used.
    """

    created_at: dt.datetime = pydantic.Field()
    """
    The UTC time the simulator result was created.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
